openmeetings中的red5在启动的时候提示tomcat加载错误是怎么回事

作现112 发布于 2016/11/25 10:28
阅读 571
收藏 0

这是怎么回事啊 ,求各位大神解答

加载中
0
作现112

引用来自“WeiYongxin”的评论

日志?
2016-11-25 10:20:50,877 [0.0.0.0-startStop-1] ERROR o.a.c.c.C.[.[.0.0.0.[/openmeetings] - Error configuring application listener of class org.apache.openmeetings.util.OMContextListener

java.lang.UnsupportedClassVersionError: org/apache/openmeetings/util/OMContextListener : Unsupported major.minor version 52.0 (unable to load class org.apache.openmeetings.util.OMContextListener)

2016-11-25 10:20:50,880 [0.0.0.0-startStop-1] ERROR o.a.c.c.C.[.[.0.0.0.[/openmeetings] - Skipped installing application listeners due to previous error(s)
2016-11-25 10:20:50,882 [0.0.0.0-startStop-1] ERROR o.a.catalina.core.StandardContext - One or more listeners failed to start. Full details will be found in the appropriate container log file
2016-11-25 10:20:50,884 [0.0.0.0-startStop-1] ERROR o.a.catalina.core.StandardContext - Context [/openmeetings] startup failed due to previous errors

2016-11-25 10:20:50,939 [main] ERROR org.red5.server.tomcat.TomcatLoader - Error loading tomcat
java.lang.IllegalStateException: The resources may not be accessed if they are not currently started

日志内容太多,我只把ERROR的内容给粘了出来

0
小宝她爹
JDK版本的问题,我也是遇到这样的情况

major.minor version 52.0这类提示就说明对应的openmeetings使用的是jdk1.8

解决办法如下:

1. 更改自身jdk版本,升级到jdk1.8

2. 如果存在多个jdk版本时,在配置环境变量的时候需要将JAVA_HOME指向jdk1.8的安装路径,另外需要注意,将path中相关JAVA_HOME配置项置位最前面,这样windows会优先加载

0
liefengyi
liefengyi

你好,我也是想学习下openmeetings但是下载的安装包总是不全。能否共享一下吗,非常感谢感谢。qq:3460807764

返回顶部
顶部